# Class CreateChannelResult | EchoHub Documentation

# Class CreateChannelResult

Namespace
  EchoHub.Client.UI

Assembly
  EchoHub.Client.dll

    public record CreateChannelResult : IEquatable<CreateChannelResult>

Inheritance
  object
  CreateChannelResult

Implements
  IEquatable<CreateChannelResult>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### CreateChannelResult(CreateChannelResult)

    protected CreateChannelResult(CreateChannelResult original)

#### Parameters

`original` CreateChannelResult

### CreateChannelResult(string, string?)

    public CreateChannelResult(string Name, string? Topic)

#### Parameters

`Name` string
`Topic` string

## Properties

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Name

    public string Name { get; init; }

#### Property Value

string

### Topic

    public string? Topic { get; init; }

#### Property Value

string

## Methods

### Deconstruct(out string, out string?)

    public void Deconstruct(out string Name, out string? Topic)

#### Parameters

`Name` string
`Topic` string

### Equals(CreateChannelResult?)

    public virtual bool Equals(CreateChannelResult? other)

#### Parameters

`other` CreateChannelResult

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(CreateChannelResult?, CreateChannelResult?)

    public static bool operator ==(CreateChannelResult? left, CreateChannelResult? right)

#### Parameters

`left` CreateChannelResult
`right` CreateChannelResult

#### Returns

bool

### operator !=(CreateChannelResult?, CreateChannelResult?)

    public static bool operator !=(CreateChannelResult? left, CreateChannelResult? right)

#### Parameters

`left` CreateChannelResult
`right` CreateChannelResult

#### Returns

bool